div.app {
	max-width:700px;
	min-width:0px;
	margin:40px auto; /* 40px top and bottom, auto left and right, which means that since we specify the width, the left & right is calculated so the div is centered in the window. */
	display:block;
}

/* This hack was found at http://nicolasgallagher.com/jump-links-and-viewport-positioning/demo/#method-B. It adds a pseudo-element to provide space above each App div, so when we jump there from a #appname click, it will scroll the app div so it's not covered by our top menu. */
div.app::before {
	content:"";
	display:block;
	height:50px;
	margin:-30px 0 0;
}

div.app ul li {
	margin-bottom: 5px;
}

img.appIcon {
	float:left;
	margin:0 20px 20px 0; /*trbl*/
	width:120px;
	height:auto; /* Keep the proportions correct. */
	max-width:25%; /* Responsive size. If the device/window is small, then the image will shrink so it's no larger than 25% of the window. */
}

img.MacAppStore {
	float:right;
	margin:0 0 5px 10px; /*trbl*/
	content:url(http://www.armpitstudios.com/images/Download_on_the_Mac_App_Store_Badge_US-UK_RGB_blk_092917.svg);
	height:auto; /* Keep the proportions correct. */
	max-width:25%; /* Responsive size. If the device/window is small, then the image will shrink so it's no larger than 25% of the window. */
}

img.iOSAppStore {
	float:right;
	margin:0 0 5px 10px; /*trbl*/
	content:url(http://www.armpitstudios.com/images/Download_on_the_App_Store_Badge_US-UK_RGB_blk_092917.svg);
	height:auto; /* Keep the proportions correct. */
	max-width:25%; /* Responsive size. If the device/window is small, then the image will shrink so it's no larger than 25% of the window. */
}

button.ASDownload {
	type:button;
	float:right;
	margin:0 0 5px 10px; /*trbl*/
	font-size:14pt;
	border-radius:6px;
	border-width:thin;
	border-color:white;
	background-color:black;
	color:white;
}

/* Responsive size for the Download button. 2 different limits, depending on the window width: */
@media only screen and (max-width: 500px) {
	button.ASDownload {
  		font-size:9pt;
	}
}

@media only screen and (max-width: 300px) {
	button.ASDownload {
  		font-size:8pt;
	}
}

p.appName {
	font-size:18pt;
}

p.appDesc {
	line-height:1.3;
}

span.ios:after {
	margin-left:.5em;
	font-size:50%;
	content:"(iOS)";
}

span.macos:after {
	margin-left:.5em;
	font-size:50%;
	content:"(macOS)";
}

span.fs22:after {
	margin-left:.5em;
	font-size:50%;
	content:"(FS22)";
}
